MWAWOLEParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
MWAWOLEParserInternal::State Struct Reference

Internal: internal state of a MWAWOLEParser. More...

## Public Member Functions
| State (MWAWFontConverterPtr fontConverter, int fId)
| constructor More...

## Public Attributes
MWAWFontConverterPtr | m_fontConverter
| the font converter More...
int | m_fontId
| the font id used to decode string More...
int | m_encoding
| the font encoding More...
librevenge::RVNGPropertyList | m_metaData
| the meta data More...
std::vector< std::string > | m_unknownOLEs
| list of ole which can not be parsed More...
std::vector< librevenge::RVNGBinaryData > | m_objects
| list of pictures read More...
std::vector< MWAWPosition > | m_objectsPosition
| list of picture size ( if known) More...
std::vector< int > | m_objectsId
| list of pictures id More...
std::vector< std::string > | m_objectsType
| list of picture type More...
shared_ptr< MWAWOLEParserInternal::CompObj > | m_compObjIdName
| a smart ptr used to stored the list of compobj id->name More...

## Detailed Description

Internal: internal state of a MWAWOLEParser.

## Constructor & Destructor Documentation

## ◆ State()

MWAWOLEParserInternal::State::State | ( | MWAWFontConverterPtr | fontConverter,
|  | int | fId
| ) |  |
| inline

constructor

## Member Data Documentation

## ◆ m_compObjIdName

shared_ptr<MWAWOLEParserInternal::CompObj> MWAWOLEParserInternal::State::m_compObjIdName

a smart ptr used to stored the list of compobj id->name

## ◆ m_encoding

int MWAWOLEParserInternal::State::m_encoding

the font encoding

## ◆ m_fontConverter

MWAWFontConverterPtr MWAWOLEParserInternal::State::m_fontConverter

the font converter

## ◆ m_fontId

int MWAWOLEParserInternal::State::m_fontId

the font id used to decode string

## ◆ m_metaData

librevenge::RVNGPropertyList MWAWOLEParserInternal::State::m_metaData

the meta data

## ◆ m_objects

std::vector<librevenge::RVNGBinaryData> MWAWOLEParserInternal::State::m_objects

list of pictures read

## ◆ m_objectsId

std::vector<int> MWAWOLEParserInternal::State::m_objectsId

list of pictures id

## ◆ m_objectsPosition

std::vector<MWAWPosition> MWAWOLEParserInternal::State::m_objectsPosition

list of picture size ( if known)

## ◆ m_objectsType

std::vector<std::string> MWAWOLEParserInternal::State::m_objectsType

list of picture type

## ◆ m_unknownOLEs

std::vector<std::string> MWAWOLEParserInternal::State::m_unknownOLEs

list of ole which can not be parsed

The documentation for this struct was generated from the following file:

- MWAWOLEParser.cxx